/// <reference types="react" />
import PropTypes from 'prop-types';
import { ColorType } from "../../typings";
declare type BaseInputProps = {
    label: string;
    children?: any;
    fullWidth?: boolean;
    color?: ColorType;
    focus: boolean;
    error?: boolean;
    infoMessage?: string;
};
declare const BaseInput: {
    (props: BaseInputProps): JSX.Element;
    defaultProps: {
        color: string;
        fullWidth: boolean;
        focus: boolean;
    };
    propTypes: {
        label: PropTypes.Validator<string>;
        children: PropTypes.Requireable<any>;
        color: PropTypes.Requireable<string>;
        fullWidth: PropTypes.Requireable<boolean>;
        focus: PropTypes.Requireable<boolean>;
    };
};
export default BaseInput;
