import React from "react";
import PropTypes from 'prop-types';
import { ColorType, IconType } from "../../typings";
declare type ButtonProps = {
    label: string;
    size?: "big" | "small";
    variant?: "primary" | "secondary" | "text";
    color?: ColorType;
    fullWidth?: boolean;
    onClick?: (event: React.MouseEvent<HTMLElement>) => {};
    iconLeft?: IconType;
    iconRight?: IconType;
};
declare const Button: {
    (props: ButtonProps): JSX.Element;
    defaultProps: {
        size: string;
        fullWidth: boolean;
        color: string;
        variant: string;
    };
    propTypes: {
        label: PropTypes.Validator<string>;
        size: PropTypes.Requireable<string>;
        variant: PropTypes.Requireable<string>;
        color: PropTypes.Requireable<string>;
        fullWidth: PropTypes.Requireable<boolean>;
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
        iconLeft: PropTypes.Requireable<string>;
        iconRight: PropTypes.Requireable<string>;
    };
};
export default Button;
