/// <reference types="react" />
import PropTypes from "prop-types";
import { ColorType } from "../../typings";
declare type CheckBoxProps = {
    label?: string;
    color?: ColorType;
    checked?: boolean;
    onClick?: (value: boolean) => {};
    fullWidth?: boolean;
    variant?: "small" | "medium";
};
declare const CheckBox: {
    (props: CheckBoxProps): JSX.Element;
    defaultProps: {
        checked: boolean;
        color: string;
        fullWidth: boolean;
        variant: string;
    };
    propTypes: {
        label: PropTypes.Requireable<string>;
        checked: PropTypes.Requireable<boolean>;
        color: PropTypes.Requireable<string>;
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
        fullWidth: PropTypes.Requireable<boolean>;
        variant: PropTypes.Requireable<string>;
    };
};
export default CheckBox;
