/// <reference types="react" />
import { ColorType } from "../../typings";
import PropTypes from 'prop-types';
declare type RadioButtonProps = {
    children?: string;
    color?: ColorType;
    fullWidth?: boolean;
    size?: "small" | "medium";
    checked?: boolean;
    onClick?: (value: string) => {};
    value?: string;
};
declare const RadioButton: {
    (props: RadioButtonProps): JSX.Element;
    defaultProps: {
        color: string;
        size: string;
        checked: boolean;
    };
    propTypes: {
        children: PropTypes.Requireable<string>;
        color: PropTypes.Requireable<string>;
        fullWidth: PropTypes.Requireable<boolean>;
        size: PropTypes.Requireable<string>;
        checked: PropTypes.Requireable<boolean>;
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
    };
};
export default RadioButton;
