/// <reference types="react" />
import PropTypes from 'prop-types';
import { ColorType } from "../../typings";
declare type SelectProps = {
    label: string;
    fullWidth?: boolean;
    color?: ColorType;
    value?: string;
    onChange?: (value: any) => {};
    children?: any;
};
declare const Select: {
    (props: SelectProps): JSX.Element;
    defaultProps: {
        fullWidth: boolean;
        color: string;
    };
    propTypes: {
        label: PropTypes.Validator<string>;
        fullWidth: PropTypes.Requireable<boolean>;
        color: PropTypes.Requireable<string>;
        onChange: PropTypes.Requireable<(...args: any[]) => any>;
    };
};
export default Select;
