/// <reference types="react" />
import PropTypes from "prop-types";
import { ColorType } from "../../typings";
declare type SurfaceProps = {
    children?: any;
    color?: ColorType;
    width?: string;
    height?: string;
    square?: boolean;
    variant?: "outlined" | "elevation" | "plain";
};
declare const Surface: {
    (props: SurfaceProps): JSX.Element;
    defaultProps: {
        color: string;
        width: string;
        height: string;
        square: boolean;
        variant: string;
    };
    propTypes: {
        color: PropTypes.Requireable<string>;
        children: PropTypes.Requireable<any>;
        width: PropTypes.Requireable<string>;
        height: PropTypes.Requireable<string>;
        square: PropTypes.Requireable<boolean>;
        variant: PropTypes.Requireable<string>;
    };
};
export default Surface;
