/// <reference types="react" />
import PropTypes from "prop-types";
import { ColorType } from "../../typings";
declare type TextProps = {
    children?: string;
    tagHtml?: 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6' | 'p' | 'span';
    color?: ColorType;
    paragraph?: boolean;
    display?: 'block' | 'inherit' | 'inline-block';
    width?: string;
    align?: 'inherit' | 'center' | 'justify' | 'right' | 'left';
};
declare const Text: {
    (props: TextProps): JSX.Element;
    defaultProps: {
        tagHtml: string;
        paragraph: boolean;
        display: string;
        width: string;
        align: string;
    };
    propTypes: {
        children: PropTypes.Requireable<string>;
        tagHtml: PropTypes.Requireable<string>;
        color: PropTypes.Requireable<string>;
        paragraph: PropTypes.Requireable<boolean>;
        display: PropTypes.Requireable<string>;
        width: PropTypes.Requireable<string>;
        align: PropTypes.Requireable<string>;
    };
};
export default Text;
