import React from "react";
import PropTypes from 'prop-types';
import { ColorType } from "../../typings";
declare type TextFieldProps = {
    label: string;
    fullWidth?: boolean;
    color?: ColorType;
    value?: string;
    onChange?: (e: React.ChangeEvent<HTMLInputElement>) => {};
    error?: boolean;
    password?: boolean;
    infoMessage?: string;
};
declare const TextField: {
    (props: TextFieldProps): JSX.Element;
    defaultProps: {
        fullWidth: boolean;
        color: string;
        error: boolean;
        password: boolean;
    };
    propTypes: {
        label: PropTypes.Validator<string>;
        fullWidth: PropTypes.Requireable<boolean>;
        color: PropTypes.Requireable<string>;
        onChange: PropTypes.Requireable<(...args: any[]) => any>;
        error: PropTypes.Requireable<boolean>;
        password: PropTypes.Requireable<boolean>;
        infoMessage: PropTypes.Requireable<string>;
    };
};
export default TextField;
